pasting a group of composer items results in elements losing relative positioning to one another
Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17340

Description

In the Composer, if the user copies and then pastes a group of items (i.e. three labels), the pasted items will all be positioned under the

mouse pointer, losing the relative positioning the items had one another.

Steps to reproduce:

1. Create a new composer

2. Add three non-overlapping labels of different size and different background,(the latter part is only to increase visual cue of what's

wrong)

3. Select the three labels and copy the selection

4. Click anywhere on the composer sheet and paste the selection

5. At this stage, all of the pasted elements will overlap and their relative positioning lost

Discussed this with Nyall yesterday, assigning to him as per his request.

Associated revisions

Revision d0719b01 - 2014-02-07 09:37 AM - Nyall Dawson

[composer] Keep relative position of items when pasting (fix #8598)

History

#1 - 2013-09-12 04:25 AM - Alessandro Ciali

Does this happen even if you paste objects with ctrl+shift+v? The object should mantain there orginal position with ctrl+shift+v

#2 - 2014-02-07 12:39 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"d0719b012f65fae1e715ff20626e658eb8452167".

#3 - 2014-02-07 02:12 AM - Mathieu Pellerin - nIRV

Yay, thanks.
